Subject: Unable to create a page
Description

While creating a page, I get the following error:
-------------------------------------------
2: SQL error: 'Out of range value adjusted for column 'storage_pid' at row 1' (pages:NEW4acf04d853cbc)
-------------------------------------------

I am a new user of typo3. I am using the latest version of typo3. How do I fix the problem?

My working environment is PHP 5.2.2, Apache 2.2 and MySQL 5

(issue imported from #M12163)

Related issues:
related to Core - Task # 54883: Document that TYPO3 CMS is not compatible wit... Resolved 2014-01-09
duplicates Core - Bug # 20052: SQL error: 'Incorrect integer value: '' for co... Rejected 2009-02-19

History
#1 - 2009-10-09 12:31 - Peter Beernink

Looks like this issue is the same issue as 0010487.
Are you running MySQL in strict mode?
If so, you should be able to disable this adding
$TYPO3_CONF_VARS['SYS']['setDBinit'] = 'set SQL_MODE=\'STRICT_ALL_TABLES\';'
to you localconf.php file

#2 - 2009-10-09 12:36 - Sushil Bajimaya

Might be. I did default install of mysql. I haven't changed any values yet.

#3 - 2009-10-09 23:22 - Niels Fröhling

Duplicate of 0010487, confirmative.

#4 - 2009-10-10 09:57 - Sushil Bajimaya

Did that. Still get the same error.
#5 - 2009-10-10 22:31 - Niels Fröhling

Try 'SET SESSION sql_mode=\'\'', I don't think the above is enough. It's the fix of 0010487 in another way.

#6 - 2009-10-11 07:21 - Sushil Bajimaya

I worked now. Thanks for your help.

#7 - 2009-10-12 08:41 - Peter Beernink

My bad.
Should of course have been an empty SQL_MODE. I've copied this one from the conf which I used to try to reproduce the issue, and didn't empty out
the variable..

#8 - 2009-10-22 00:22 - Christian Kuhn

Resolved as duplicate of #20052
